Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XML
Class XMLElement

    java.lang.Object
      |
      +--XML.XMLElement

public class XMLElement
extends java.lang.Object

Field Summary
`protected java.util.Vector` | `attributes`
`protected java.lang.String` | `name`

Constructor Summary
`XMLElement(java.lang.String name)` Make a new XMLElement

Method Summary
`void` | `addAttribute(XMLAttribute attribute)` Add a new attribute to the attribute list
`XMLAttribute` | `getAttribute(java.lang.String name)`
`protected int` | `getAttributeIndex(java.lang.String name)`
`XMLAttribute[]` | `getAttributesArray()`
`java.lang.String` | `getCloseTag()`
`java.lang.String` | `getOpenTag()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### attributes

    protected java.util.Vector attributes

Constructor Detail

### XMLElement

    public XMLElement(java.lang.String name)

  Make a new XMLElement
  Parameters:
    `name` - The name of the new element

Method Detail

### addAttribute

    public void addAttribute(XMLAttribute attribute)

  Add a new attribute to the attribute list
  Parameters:
    `attribute` - The new attribute

### getAttributeIndex

    protected int getAttributeIndex(java.lang.String name)

### getAttribute

    public XMLAttribute getAttribute(java.lang.String name)

### getAttributesArray

    public XMLAttribute[] getAttributesArray()

  Returns:
    The attribute list in array form

### getOpenTag

    public java.lang.String getOpenTag()

  Returns:
    a string which represents the XML tag which opens this element in the XML file

### getCloseTag

    public java.lang.String getCloseTag()

  Returns:
    Returns a string which represents the XML tag which closes this element in the XML file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD